Query
Date: 2016-06-24

javax.persistence

## Interface Query

- All Known Subinterfaces:
    TypedQuery<X>

      public interface Query

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `executeUpdate()`
    `int` | `getFirstResult()`
    `FlushModeType` | `getFlushMode()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getHints()`
    `LockModeType` | `getLockMode()`
    `int` | `getMaxResults()`
    `Parameter<?>` | `getParameter(int position)`
    `<T> Parameter<T>` | `getParameter(int position, java.lang.Class<T> type)`
    `Parameter<?>` | `getParameter(java.lang.String name)`
    `<T> Parameter<T>` | `getParameter(java.lang.String name, java.lang.Class<T> type)`
    `java.util.Set<Parameter<?>>` | `getParameters()`
    `java.lang.Object` | `getParameterValue(int position)`
    `<T> T` | `getParameterValue(Parameter<T> param)`
    `java.lang.Object` | `getParameterValue(java.lang.String name)`
    `java.util.List` | `getResultList()`
    `java.lang.Object` | `getSingleResult()`
    `boolean` | `isBound(Parameter<?> param)`
    `Query` | `setFirstResult(int startPosition)`
    `Query` | `setFlushMode(FlushModeType flushMode)`
    `Query` | `setHint(java.lang.String hintName, java.lang.Object value)`
    `Query` | `setLockMode(LockModeType lockMode)`
    `Query` | `setMaxResults(int maxResult)`
    `Query` | `setParameter(int position, java.util.Calendar value, TemporalType temporalType)`
    `Query` | `setParameter(int position, java.util.Date value, TemporalType temporalType)`
    `Query` | `setParameter(int position, java.lang.Object value)`
    `Query` | `setParameter(Parameter<java.util.Calendar> param, java.util.Calendar value, TemporalType temporalType)`
    `Query` | `setParameter(Parameter<java.util.Date> param, java.util.Date value, TemporalType temporalType)`
    `<T> Query` | `setParameter(Parameter<T> param, T value)`
    `Query` | `setParameter(java.lang.String name, java.util.Calendar value, TemporalType temporalType)`
    `Query` | `setParameter(java.lang.String name, java.util.Date value, TemporalType temporalType)`
    `Query` | `setParameter(java.lang.String name, java.lang.Object value)`
    `<T> T` | `unwrap(java.lang.Class<T> cls)`

- - ### Method Detail

    - #### getResultList

          java.util.List getResultList()

    - #### getSingleResult

          java.lang.Object getSingleResult()

    - #### executeUpdate

          int executeUpdate()

    - #### setMaxResults

          Query setMaxResults(int maxResult)

    - #### getMaxResults

          int getMaxResults()

    - #### setFirstResult

          Query setFirstResult(int startPosition)

    - #### getFirstResult

          int getFirstResult()

    - #### setHint

          Query setHint(java.lang.String hintName,
                      java.lang.Object value)

    - #### getHints

          java.util.Map<java.lang.String,java.lang.Object> getHints()

    - #### setParameter

          <T> Query setParameter(Parameter<T> param,
                               T value)

    - #### setParameter

          Query setParameter(Parameter<java.util.Calendar> param,
                           java.util.Calendar value,
                           TemporalType temporalType)

    - #### setParameter

          Query setParameter(Parameter<java.util.Date> param,
                           java.util.Date value,
                           TemporalType temporalType)

    - #### setParameter

          Query setParameter(java.lang.String name,
                           java.lang.Object value)

    - #### setParameter

          Query setParameter(java.lang.String name,
                           java.util.Calendar value,
                           TemporalType temporalType)

    - #### setParameter

          Query setParameter(java.lang.String name,
                           java.util.Date value,
                           TemporalType temporalType)

    - #### setParameter

          Query setParameter(int position,
                           java.lang.Object value)

    - #### setParameter

          Query setParameter(int position,
                           java.util.Calendar value,
                           TemporalType temporalType)

    - #### setParameter

          Query setParameter(int position,
                           java.util.Date value,
                           TemporalType temporalType)

    - #### getParameters

          java.util.Set<Parameter<?>> getParameters()

    - #### getParameter

          Parameter<?> getParameter(java.lang.String name)

    - #### getParameter

          <T> Parameter<T> getParameter(java.lang.String name,
                                      java.lang.Class<T> type)

    - #### getParameter

          Parameter<?> getParameter(int position)

    - #### getParameter

          <T> Parameter<T> getParameter(int position,
                                      java.lang.Class<T> type)

    - #### isBound

          boolean isBound(Parameter<?> param)

    - #### getParameterValue

          <T> T getParameterValue(Parameter<T> param)

    - #### getParameterValue

          java.lang.Object getParameterValue(java.lang.String name)

    - #### getParameterValue

          java.lang.Object getParameterValue(int position)

    - #### setFlushMode

          Query setFlushMode(FlushModeType flushMode)

    - #### getFlushMode

          FlushModeType getFlushMode()

    - #### setLockMode

          Query setLockMode(LockModeType lockMode)

    - #### getLockMode

          LockModeType getLockMode()

    - #### unwrap

          <T> T unwrap(java.lang.Class<T> cls)